package com.lz.modules.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.common.utils.PageUtils;
import com.lz.common.utils.Query;
import com.lz.modules.app.dao.SmsTemplateDao;
import com.lz.modules.app.entity.SmsTemplateEntity;
import com.lz.modules.app.service.SmsTemplateService;
import org.springframework.stereotype.Service;
import java.util.Map;


@Service("smsTemplateService")
public class SmsTemplateServiceImpl extends ServiceImpl<SmsTemplateDao, SmsTemplateEntity> implements SmsTemplateService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<SmsTemplateEntity> page = this.page(
                new Query<SmsTemplateEntity>().getPage(params),
                new QueryWrapper<SmsTemplateEntity>()
        );

        return new PageUtils(page);
    }

}
